List all Antavo events associated with a customer

This endpoint returns a detailed list of events and the corresponding actions recorded with the specified customer ID. This information can be used as a customer activity source and can also be accessed using the /historyendpoint.
The event history/log/stream can be pre-filtered by specific event actions and paginated by limiting and offsetting the number of returned events. The response also includes event expiration dates, if set.

This endpoint was historically known as /customers/{customer_id}/history. This endpoint is still valid and all options listed below are also applicable.

Path Params
string
required

Unique customer ID. This can be

  • The Antavo customer ID
  • An external ID (requires configuration): {external_field:external_id_value}
Query Params
integer
Defaults to 100

Limits the number of events returned in one response. Other values are accessible by pagination made accessible via the offset.

integer
Defaults to 0

Offsets the starting number of events to return. Used for pagination in conjunction with the limit query.

string

Used to sort and order the results in ascending or descending order. The value can be asc for sorting the results by _id in an ascending order, or desc for sorting the results by date and _id in a descending order.

string

A legacy field consisting of comma separated list of actions to filters the type of returned Antavo events.

string

The events history can be filtered by submitted event actions using operators. Refer to API events and internal events lists.
This filter query can be used in conjunction with operators. The filter should be submitted as a parameter in the following format: field.operator(optional)=value.

Filtering of events containing a transaction_id is also possible. This requires the action query to contain all related events and for an additional query using properties.transaction_id.
Example:
action.in=checkout,checkout_accept&properties.transaction_id.in=c078c162-88af-4369-89a4-408958a8cb75.
These combined filters can also use filtering operators.
The transaction_id field in any custom event must be set as filterable.

string

The events history can be filtered by a specific date. Specific start and/or end dates can be stated by using multiple operators (e.g., date.gt=2020-01-01&date.lt=2022-02-01).
The UTC timezone should be considered when sending the request.

boolean

Filter to only show non-zero points events (events that award or subtract points).

boolean

Include the ID and name of any associated challenges/rewards in the response.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json